<?php

namespace FacturaScripts\Plugins\Partes\Controller;

use FacturaScripts\Core\Lib\ExtendedController\ListController;

class ListOIPlantillaTarea extends ListController
{
    public function getPageData(): array
    {
        $data = parent::getPageData();
        $data["title"] = "Plantillas de Tarea";
        $data["menu"] = "";
        $data["icon"] = "fa-solid fa-cubes-stacked";
        return $data;
    }

    protected function createViews()
    {
	    $viewName = "PlantillaProyecto";
	    $this->setTemplate($viewName);
//	    $this->createViewsOIPlantillaTarea();
    }

    protected function createViewsOIPlantillaTarea(string $viewName = "ListOIPlantillaTarea")
    {
        $this->addView($viewName, "OIPlantillaTarea", "Plantillas de Tarea");

        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addOrderBy($viewName, ["id"], "id", 2);
        // $this->addOrderBy($viewName, ["name"], "name");

        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addSearchFields($viewName, ["id", "name"]);
    }
}
